For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • DELDelete
LogoLogo
BlogLogin
API Referencedocuments

Create

POST
https://api.flockx.io/api/v1/documents
POST
/api/v1/documents
$curl -X POST https://api.flockx.io/api/v1/documents \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "foo",
> "knowledge_graph": "foo"
>}'
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "status": "foo",
6 "name": "",
7 "external_id": "foo",
8 "data": {}
9}
Create a new knowledge document. Document is associated with the user's organization.
Was this page helpful?
Previous

Detail

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
namestringRequired
knowledge_graphstringRequired
datamap from strings to anyOptional

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
statusstring or nullRead-only

Human-readable status label

namestringDefaults to
external_idstring or null
datamap from strings to any or null

Errors

422
Unprocessable Entity Error